PETSc version 3.15.5
Fix/Edit manual page

# TSSetMaxSteps

Sets the maximum number of steps to use.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetMaxSteps(TS ts,PetscInt maxsteps)

Logically Collective on TS

### Input Parameters

| ts | - the TS context obtained from TSCreate()
| maxsteps | - maximum number of steps to use

### Options Database Keys

| -ts_max_steps <maxsteps> | - Sets maxsteps

### Notes

The default maximum number of steps is 5000

### See Also

TSGetMaxSteps(), TSSetMaxTime(), TSSetExactFinalTime()

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/tutorials/ex1.c.html
src/ts/tutorials/ex2.c.html
src/ts/tutorials/ex3.c.html
src/ts/tutorials/ex4.c.html
src/ts/tutorials/ex5.c.html
src/ts/tutorials/ex6.c.html
src/ts/tutorials/ex11.c.html
src/ts/tutorials/ex21.c.html
src/ts/tutorials/ex24.c.html
src/ts/tutorials/ex26.c.html
src/ts/tutorials/ex31.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages